# IAX2IeCalledContext Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeCalledContext:

List of all members.

## Public Member Functions

| IAX2IeCalledContext (BYTE length, BYTE *srcData)
| IAX2IeCalledContext (const PString &newValue)
void | PrintOn (ostream &str) const
virtual BYTE | GetKeyValue () const
virtual void | StoreDataIn (IAX2IeData &res)

## Detailed Description

An Information Element that contains the context for this number

## Constructor & Destructor Documentation

IAX2IeCalledContext::IAX2IeCalledContext | ( | BYTE | length,
|  | BYTE * | srcData |
| ) |  |  | `[inline]`

Constructor from data read from the network.

Contents are undefined if the network data is bogus/invalid

IAX2IeCalledContext::IAX2IeCalledContext | ( | const PString & | newValue | ) | `[inline]`

Initialise to the supplied string value

## Member Function Documentation

void IAX2IeCalledContext::PrintOn | ( | ostream & | str | ) | const

print this class (nicely) to the designated stream

Reimplemented from IAX2IeString.

virtual BYTE IAX2IeCalledContext::GetKeyValue | ( |  | ) | const`[inline, virtual]`

Get the key value for this particular Information Element class

Reimplemented from IAX2Ie.

virtual void IAX2IeCalledContext::StoreDataIn | ( | IAX2IeData & | res | ) | `[inline, virtual]`

Take the data from this IAX2Ie, and copy it into the IAX2IeData structure. This is done on processing an incoming frame which contains IAX2Ie in the data section.

Reimplemented from IAX2Ie.

The documentation for this class was generated from the following file:

- ies.h